نطاقات مخصصة

GET https://bio.dl1s.co/api/domains/
curl --request GET \
--url 'https://bio.dl1s.co/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات التفاصيل الوصف
search اختياري نصي نص البحث.
search_by اختياري نصي الحقل الذي تبحث من خلاله. القيم المسموحة: host.
is_enabled اختياري منطقي
datetime_field اختياري نصي القيم المسموحة: datetime, last_datetime
datetime_start اختياري نصي تصفية النتائج بدءًا من هذا التاريخ والوقت. بصيغة Y-m-d H:i:s.
datetime_end اختياري نصي تصفية النتائج حتى هذا التاريخ والوقت. بصيغة Y-m-d H:i:s.
order_by اختياري نصي الحقل الذي يتم ترتيب النتائج بناءً عليه. القيم المسموحة: domain_id, datetime, last_datetime, host.
order_type اختياري نصي ترتيب النتائج. القيم المسموحة: ASC للترتيب التصاعدي وDESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي تريد النتائج منها. الافتراضي 1.
results_per_page اختياري عدد صحيح عدد النتائج المطلوبة لكل صفحة. القيم المسموحة: 10, 25, 50, 100, 250, 500, 1000. الافتراضي 25.
{
    "data": [
        {
            "id": 1,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-06-27 12:58:14",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://bio.dl1s.co/api/domains?page=1",
        "last": "https://bio.dl1s.co/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://bio.dl1s.co/api/domains?page=1"
    }
}
GET https://bio.dl1s.co/api/domains/{domain_id}
curl --request GET \
--url 'https://bio.dl1s.co/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-06-27 12:58:14",
    }
}
POST https://bio.dl1s.co/api/domains
المعلمات التفاصيل الوصف
host مطلوب نصي -
custom_index_url اختياري نصي -
custom_not_found_url اختياري نصي -
curl --request POST \
--url 'https://bio.dl1s.co/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1
    }
}
POST https://bio.dl1s.co/api/domains/{domain_id}
المعلمات التفاصيل الوصف
host اختياري نصي -
custom_index_url اختياري نصي -
custom_not_found_url اختياري نصي -
curl --request POST \
--url 'https://bio.dl1s.co/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://bio.dl1s.co/api/domains/{domain_id}
curl --request DELETE \
--url 'https://bio.dl1s.co/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \